body {
    font-family: "Kanit", sans-serif;
}

.slide {
    width: 100%;
    justify-content: center;
    align-items: center;
}

.background_img {
    background-image: linear-gradient(
            rgba(255, 255, 255, 0.5),
            rgba(255, 255, 255, 0.5)
        ),
        url("/images/background_arrow.png");
    display: flex;
    justify-content: center;
    /* จัดกึ่งกลางในแนวนอน */
    background-size: cover;
    background-position: center;
    background-attachment: fixed; /* ทำให้พื้นหลังไม่เลื่อน */
    justify-content: center;
}

.background_img h1 {
    margin: 0;
    font-size: 36px;
    padding-top: 5%;
    padding-bottom: 5%;
    text-align: center;
    font-weight: 500;
    color: #752f8b;
}

.news_container {
    display: flex;
    justify-content: center;
}

.news {
    display: flex;
    width: 100%;
    justify-content: center;
}

.main_news {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.main_news_container {
    position: relative;
    width: 405px;
    height: 400px;
    margin-bottom: 50px;
    margin-right: 50px;
    box-shadow: 10px 10px 5px rgba(0, 0, 0, 0.3);
    overflow: hidden; /* ซ่อนเนื้อหาที่เกินออกไป */
}

.main_news_container .news_img img {
    width: 100%;
    height: 335px;
    object-fit: cover;
    object-position: center;
    transition: transform 0.5s ease;
}

.main_news_container .news_data h1,
.main_news_container .news_data h2,
.main_news_container .news_data p {
    margin: 0; /* ลบ margin ของทุกองค์ประกอบภายใน */
    padding: 0; /* ลบ padding ภายในถ้ามี */
}

.main_news_container .news_data h1 {
    font-size: 14px;
    text-align: left;
    padding-top: 5px;
    padding-right: 10px;
}

.main_news_container .date {
    display: flex;
    align-items: center;
    position: relative; /* ทำให้มั่นใจว่า .date ไม่ถูกซ้อนทับ */
    padding-top: 7px;
    padding-bottom: 7px;
}

.main_news_container .calendar_icon {
    height: 20px;
    width: auto;
    color: #666262;
    margin-right: 10px;
    transition: fill 0.3s ease;
}

.main_news_container .news_data h2 {
    font-size: 13px;
    color: #666262;
}

.main_news_container .news_data p {
    font-size: 11px;
    color: #666262;
}

.main_news_container .news_data {
    position: absolute;
    bottom: 0; /* ให้ .news_data อยู่ติดด้านล่างของคอนเทนเนอร์ */
    left: 0;
    right: 0;
    max-height: 164px; /* ความสูงที่กำหนดเริ่มต้น */
    height: auto; /* ความสูงของข้อมูล */
    background-color: #ffffff;
    border-radius: 0px 57px 0px 0px;
    padding: 10px;
    box-sizing: border-box;
    overflow: hidden; /* ซ่อนเนื้อหาที่เกินออกไป */
    z-index: 10; /* ให้อยู่ด้านบนสุด */
    transition: background-color 0.5s ease, max-height 0.5s ease,
        color 0.5s ease, filter 0.5s ease;
    opacity: 1; /* แสดงเนื้อหาด้วย opacity */
}

.main_news_container:hover .news_data {
    max-height: 300px; /* เพิ่มความสูงเมื่อ hover */
    background-color: rgba(117, 47, 139, 0.85);
}

.main_news_container:hover .news_img img {
    transform: scale(1.5);
}

.main_news_container:hover .news_data h1 {
    color: #ffffff;
}

.main_news_container:hover .news_data h2 {
    color: #ffffff;
}

.main_news_container:hover .news_data p {
    color: #ffffff;
}

.main_news_container:hover .calendar_icon {
    color: #ffffff;
}

.another_news {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    width: 700px;
}

.another_news_container {
    position: relative;
    overflow: hidden; /* ซ่อนส่วนที่ขยายเกินออกมานอกขอบ */
    width: 290px; /* กำหนดขนาดของ container */
    height: 322px; /* กำหนดขนาดของ container */
    margin-bottom: 50px;
    margin-right: 50px;
    box-shadow: 10px 10px 5px rgba(0, 0, 0, 0.3);
}

.another_news_container .news_img img {
    width: 100%;
    height: 260px;
    object-fit: cover;
    object-position: center;
    transition: transform 0.5s ease; /* เพิ่ม transition เพื่อให้การขยายดูนุ่มนวล */
}

.another_news_container .news_data h1,
.another_news_container .news_data h2,
.another_news_container .news_data p {
    margin: 0; /* ลบ margin ของทุกองค์ประกอบภายใน */
    padding: 0; /* ลบ padding ภายในถ้ามี */
}

.another_news_container .news_data h1 {
    font-size: 14px;
    text-align: left;
    padding-top: 5px;
    padding-right: 10px;
}

.another_news_container .date {
    display: flex;
    align-items: center;
    position: relative; /* ทำให้มั่นใจว่า .date ไม่ถูกซ้อนทับ */
    padding-top: 7px;
    padding-bottom: 7px;
}

.another_news_container .calendar_icon {
    height: 20px;
    width: auto;
    color: #666262; /* สีเริ่มต้น */
    margin-right: 10px;
    transition: fill 0.3s ease;
}

.another_news_container .news_data h2 {
    font-size: 13px;
    color: #666262;
}

.another_news_container .news_data p {
    font-size: 11px;
    color: #666262;
}

.another_news_container .news_data {
    position: absolute;
    bottom: 0; /* ให้ .news_data อยู่ติดด้านล่างของคอนเทนเนอร์ */
    left: 0;
    right: 0;
    max-height: 130px;
    height: auto; /* ความสูงของข้อมูล */
    background-color: #ffffff;
    border-radius: 0px 57px 0px 0px;
    padding: 10px;
    box-sizing: border-box;
    overflow: hidden; /* ซ่อนเนื้อหาที่เกินออกไป */
    z-index: 10; /* ให้อยู่ด้านบนสุด */
    transition: background-color 0.5s ease, max-height 0.5s ease,
        color 0.5s ease, filter 0.5s ease;
    opacity: 1; /* แสดงเนื้อหาด้วย opacity */
}

.another_news_container:hover .news_data {
    max-height: 300px; /* เพิ่มความสูงเมื่อ hover */
    background-color: rgba(117, 47, 139, 0.85);
}

.another_news_container:hover .news_img img {
    transform: scale(1.5);
}

.another_news_container:hover .news_data h1 {
    color: #ffffff;
}

.another_news_container:hover .news_data h2 {
    color: #ffffff;
}

.another_news_container:hover .news_data p {
    color: #ffffff;
}

.another_news_container:hover .calendar_icon {
    color: #ffffff;
}

.background_video_content {
    display: flex;
    align-items: stretch; /* ให้ทุกองค์ประกอบภายในยืดความสูงเต็ม */
    background-color: #614b3c;
    overflow: hidden;
}

.image_video,
.video_content {
    flex: 1 1 50%; /* ให้พื้นที่แบ่ง 50% ระหว่างสององค์ประกอบ */
    max-width: 50%;
    aspect-ratio: 16 / 9; /* รักษาสัดส่วน 16:9 เหมือนกัน */
}

.image_video img {
    width: 100%;
    height: auto; /* ทำให้ภาพปรับตามขนาด width */
    object-fit: contain;
}

.video_content {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    background-color: #43362e;
    box-shadow: -15px 0 5px #43362e;
}

.video_content iframe {
    width: 100%;
    height: auto;
    padding-left: 50px;
    padding-right: 50px;
    aspect-ratio: 16 / 9; /* รักษาอัตราส่วนของวิดีโอ */
}

.background_importance {
    background-image: url("/images/companyProfile_team_background.jpg");
    display: flex;
    flex-direction: column;
    background-size: cover;
    width: 100%;
    height: min-content;
}

.container_data_importance {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    margin: 7% 7% 7% 7%;
    background-color: #ffffff;
    padding-top: 70px;
    padding-bottom: 90px;
    padding-left: 10%;
    padding-right: 10%;
}

.container_data_importance h1 {
    color: #ffa800;
    font-size: 30px;
    font-weight: 500;
}

.container_data_importance h2 {
    color: #752f8b;
    font-size: 25px;
    font-weight: 500;
    margin-bottom: 50px;
}

.container_data_importance p {
    color: #614b3c;
    font-size: 20px;
    margin: 20px;
}

.middle_img {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 10%;
}

.middle_img img {
    width: 321px;
    height: auto;
    object-fit: cover;
}

.bottom_img {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 5%;
}

.bottom_img img {
    width: 250px;
    height: 256px;
    object-fit: cover;
}

.background_objective {
    background-color: #f28b20e5;
    padding: 8% 8% 8% 8%;
}

.objective_title {
    display: flex;
    align-items: center;
    margin-bottom: 50px;
}

.objective_title h1 {
    font-size: 80px;
    font-weight: 500;
    color: #ffffff;
}

.objective_title h2 {
    font-size: 25px;
    font-weight: 500;
    color: #ffffff;
    margin-left: 10%;
    margin-bottom: 20px;
}

.objective_data1 {
    display: flex;
    width: 100%;
    align-items: center;
    margin-bottom: 50px;
}

.objective_detail {
    display: flex;
    flex-direction: column;
    width: 60%;
}

.objective_detail h1 {
    color: #ffffff;
    font-size: 25px;
    margin-bottom: 10px;
}

.objective_data1 p {
    color: #ffffff;
    font-size: 20px;
    margin-right: 5%;
    text-align: justify; /* จัดข้อความให้ชิดขอบซ้ายและขวา */
}

.objective_data1 img {
    width: 40%;
    background-color: #ffffff;
}

.objective_data2 {
    display: flex;
    width: 100%;
    align-items: center;
}

.objective_data2 p {
    color: #ffffff;
    text-align: center;
    font-size: 20px;
    width: 60%;
    margin-left: 5%;
    text-align: justify;
}

.objective_data2 img {
    width: 40%;
}

.objective_data2_image_mobile img {
    display: none;
}

.background_course_knowledge_management {
    background-image: url("/images/background_course_knowledge_management.gif");
    display: flex;
    flex-direction: column;
    background-size: cover;
    width: 100%;
    height: min-content;
    /* เริ่มต้นด้วยความกว้าง 100% */
}

.course_knowledge_management {
    padding: 70px 120px 90px 120px;
}

.course_knowledge_management h1 {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    color: #752f8b;
    font-size: 30px;
    font-weight: 500;
}

.course_knowledge_management h2 {
    display: flex;
    flex-direction: column;
    align-items: center;
    color: #752f8b;
    font-size: 20px;
    padding-top: 50px;
    padding-bottom: 50px;
}

.course_knowledge_management p {
    color: #752f8b;
    font-size: 20px;
}

.key_elements {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding-top: 20px;
    gap: 40px;
}

.key_elements p {
    color: #ffffff;
    text-align: center;
    font-size: 18px;
    margin-left: 20px;
    margin-right: 20px;
}

.circle_human {
    background-color: #752f8b;
    border-radius: 100%;
    width: 175px;
    height: 175px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.category_course {
    display: flex;
    flex-wrap: wrap;
    gap: 100px;
    justify-content: center;
    margin-top: 50px;
    margin-bottom: 100px;
    color: #ffffff;
    font-weight: 600;
    font-size: 22px;
    text-align: center;
}

.knowledge_and_innovation {
    background-color: transparent;
    width: 375px;
    height: 430px;
    perspective: 1000px;
}

.knowledge_and_innovation p {
    color: #ffffff;
    font-size: 22px;
}

.innovative_learning p {
    color: #ffffff;
    font-size: 22px;
}

.knowledge_and_innovation-inner {
    position: relative;
    width: 100%;
    height: 100%;
    text-align: center;
    transition: transform 0.6s;
    transform-style: preserve-3d;
}

.knowledge_and_innovation:hover .knowledge_and_innovation-inner {
    transform: rotateY(180deg);
}

.knowledge_and_innovation-front,
.knowledge_and_innovation-back {
    position: absolute;
    width: 100%;
    height: 100%;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}

.knowledge_and_innovation-front {
    background-color: #ffa800;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 2%;
}

.knowledge_and_innovation-back {
    background-color: #ffa800;
    color: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 2%;
}

.knowledge_and_innovation-back {
    background-color: #ffa800;
    color: white;
    transform: rotateY(180deg);
}

.innovative_learning {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #ffa800;
    width: 375px;
    height: 430px;
    border-radius: 2%;
}

.innovative_learning {
    background-color: transparent;
    width: 375px;
    height: 430px;
    perspective: 1000px;
}

.innovative_learning-inner {
    position: relative;
    width: 100%;
    height: 100%;
    text-align: center;
    transition: transform 0.6s;
    transform-style: preserve-3d;
}

.innovative_learning:hover .innovative_learning-inner {
    transform: rotateY(180deg);
}

.innovative_learning-front,
.innovative_learning-back {
    position: absolute;
    width: 100%;
    height: 100%;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}

.innovative_learning-front {
    background-color: #ffa800;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 2%;
}

.innovative_learning-back {
    background-color: #ffa800;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 2%;
}

.innovative_learning-back {
    background-color: #ffa800;
    color: white;
    transform: rotateY(180deg);
}

.background_map {
    background-color: #752f8b;
    display: flex;
    width: 100%;
    padding: 4%;
    border: none;
}

.operation_header_mobile {
    display: none;
}

.map_img {
    display: flex;
    width: 40%;
    align-items: center;
    justify-content: center;
}

.operation_results {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    width: 60%;
    margin-left: 30px;
}

.operation_results h1 {
    color: #ffffff;
    font-size: 36px;
    font-weight: 500;
    margin-bottom: 50px;
}

.operation_results p {
    color: #ffffff;
    font-size: 22px;
}

.button_operation_container {
    margin-top: 50px;
    margin-bottom: 50px;
}

.button_operation {
    background-color: #ffffff;
    border-radius: 10px;
    padding: 30px;
}

.button_operation p {
    color: #f28b20;
    font-size: 22px;
}

.button_operation:hover {
    background-color: #f28b20;
}

.button_operation:hover img {
    color: #ffffff;
}

.button_operation:hover p {
    color: #ffffff;
}

@media (min-width: 1460px) and (max-width: 1500px) {
    .news {
        padding-left: 11%;
        padding-right: 4%;
    }
}

@media (min-width: 1460px) and (max-width: 1500px) {
    .main_news_container {
        width: 350px;
        height: 355px;
    }

    .another_news_container {
        width: 250px; /* กำหนดขนาดของ container */
        height: 290px; /* กำหนดขนาดของ container */
    }
}

@media (min-width: 1440px) and (max-width: 1460px) {
    .main_news_container {
        width: 350px;
        height: 355px;
    }

    .another_news_container {
        width: 250px; /* กำหนดขนาดของ container */
        height: 290px; /* กำหนดขนาดของ container */
    }
}

@media (min-width: 1025px) and (max-width: 1440px) {
    .news {
        padding-left: 9%;
        padding-right: 5%;
    }

    .news {
        flex-direction: column;
        padding: 0;
        margin: 0;
    }
    .main_news {
        display: flex;
        width: 100%;
        flex-direction: column;
        align-items: center;
    }

    .main_news_container {
        margin-right: 0;
    }

    .another_news {
        flex-direction: column;
    }

    .another_news_container {
        width: 405px;
        height: 400px;
        margin-bottom: 50px;
        margin-right: 0;
    }
    .another_news_container .news_img img {
        height: 335px;
    }
}

@media (min-width: 770px) and (max-width: 1024px) {
    .news {
        flex-direction: column;
        padding: 0;
        margin: 0;
    }
    .main_news {
        display: flex;
        width: 100%;
        flex-direction: column;
        align-items: center;
    }

    .main_news_container {
        margin-right: 0;
    }

    .another_news {
        flex-direction: column;
        align-items: center;
    }

    .another_news_container {
        width: 405px;
        height: 400px;
        margin-bottom: 50px;
        margin-right: 0;
    }
    .another_news_container .news_img img {
        height: 335px;
    }

    .background_objective {
        background-color: #f28b20e5;
        padding: 2%;
    }

    .objective_title {
        flex-direction: column;
    }

    .objective_title h1 {
        font-size: 80px;
        margin-top: 30px;
        margin-bottom: 40px;
    }

    .objective_title h2 {
        font-size: 30px;
        margin-left: 3%;
    }

    .objective_data1 {
        flex-direction: column;
    }

    .objective_data1 h1 {
        margin-right: 0;
        margin-bottom: 10px;
    }

    .objective_detail p {
        width: 80%;
        margin-right: 0;
        margin-bottom: 40px;
    }

    .objective_data2 {
        flex-direction: column;
    }

    .objective_data2 p {
        width: 80%;
        margin-left: 0;
    }

    .objective_data2 img {
        display: none;
    }

    .objective_data2_image_mobile {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
    }

    .objective_data2_image_mobile img {
        display: block;
        margin-top: 40px;
        margin-bottom: 40px;
        width: 40%;
    }

    .course_knowledge_management {
        padding: 70px 80px 90px 80px;
    }

    .map_img {
        justify-content: center;
    }
}

@media (max-width: 768px) {
    .news {
        flex-direction: column;
        padding: 0;
        margin: 0;
    }
    .main_news {
        display: flex;
        width: 100%;
        flex-direction: column;
        align-items: center;
    }
    .main_news_container {
        width: 290px; /* กำหนดขนาดของ container */
        height: 322px; /* กำหนดขนาดของ container */
        margin-right: 0;
    }

    .main_news_container .news_img img {
        height: 260px;
    }

    .another_news {
        display: flex;
        flex-direction: column;
        justify-content: center; /* จัดให้อยู่กึ่งกลางในแนวนอน */
        width: 100%; /* ให้ใช้พื้นที่ทั้งหมด */
    }
    .another_news_container {
        margin-right: 0;
    }

    .background_video_content {
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 100%;
        height: 100%;
        background-color: #614b3c;
    }

    .image_video,
    .video_content {
        max-width: 100%; /* ให้ขยายเต็มหน้าจอในหน้าจอเล็ก */
        flex: 1 1 100%; /* เปลี่ยนให้ครอบคลุมพื้นที่เต็ม */
    }

    .video_content {
        padding-left: 30px;
        padding-right: 30px;
    }

    .middle_img {
        flex-direction: column;
    }

    .container_data_importance {
        padding-bottom: 20px;
    }
    .bottom_img {
        flex-direction: column;
    }

    .bottom_img img {
        width: 100%;
        height: auto;
        margin-bottom: 20px;
    }

    .background_objective {
        background-color: #f28b20e5;
        padding: 2%;
    }

    .objective_title {
        flex-direction: column;
    }

    .objective_title h1 {
        font-size: 50px;
        margin-top: 30px;
        margin-bottom: 40px;
    }

    .objective_title h2 {
        font-size: 17px;
        text-align: center;
        margin-left: 3%;
    }

    .objective_data1 {
        flex-direction: column;
    }

    .objective_data1 img {
        width: 80%;
    }

    .objective_data1 p {
        font-size: 17px;
        width: 80%;
        margin-right: 0;
        margin-bottom: 40px;
    }

    .objective_data2 {
        flex-direction: column;
    }

    .objective_data2 p {
        font-size: 17px;

        width: 80%;
        margin-left: 0;
    }

    .objective_data2 img {
        display: none;
    }

    .objective_data2_image_mobile {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
    }

    .objective_data2_image_mobile img {
        display: block;
        margin-top: 40px;
        margin-bottom: 40px;
        width: 80%;
    }

    .course_knowledge_management h2 {
        font-size: 17px;
        text-align: center;
    }

    .course_knowledge_management {
        padding: 70px 50px 50px 50px;
    }

    .circle_human {
        width: 120px;
        height: 120px;
    }

    .circle_human p {
        font-size: 14px;
    }

    .knowledge_and_innovation,
    .innovative_learning {
        width: 150px;
        height: 180px;
    }

    .knowledge_and_innovation p,
    .innovative_learning p {
        font-size: 18px;
        margin-left: 5px;
        margin-right: 5px;
    }

    .category_course {
        gap: 50px;
        margin-top: 20px;
        margin-bottom: 50px;
    }

    .background_map {
        flex-direction: column;
    }

    .operation_header_mobile {
        display: block;
    }

    .map_img {
        width: 100%;
    }

    .operation_header_mobile h1 {
        font-size: 25px;
        font-weight: 500;
        color: white;
        margin-top: 30px;
        margin-bottom: 30px;
        text-align: center;
    }

    .operation_results {
        margin: 0;
        width: 100%;
    }

    .operation_results h1 {
        display: none;
    }

    .operation_results p {
        font-size: 17px;
    }
}
